Package com.logicaldoc.core.document

# Class DocumentLink

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.document.DocumentLink

All Implemented Interfaces:
  `Serializable`

@Entity public class DocumentLink extends PersistentObject
Represents a document link. It represents a link between two documents (document1 and document2). Every link can be of a certain type.

Since:
  4.0
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`DocumentLink()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Document`
`getDocument1()`
`Document`
`getDocument2()`
`String`
`getType()`
`int`
`hashCode()`
`void`
`setDocument1(Document document1)`
`void`
`setDocument2(Document document2)`
`void`
`setType(String type)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DocumentLink

public DocumentLink()

## Method Details

### getType

public String getType()

### setType

public void setType(String type)

### getDocument1

public Document getDocument1()

### setDocument1

public void setDocument1(Document document1)

### getDocument2

public Document getDocument2()

### setDocument2

public void setDocument2(Document document2)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`